Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Chromium B.S.U. - an arcade game
Name:		Chromium
Version:	0.9.14
Release:	1
License:	GNU/GPL 
URL:		http://www.reptilelabour.com/software/chromium
Group:		Games/Arcade
Source0:	chromium-bsu-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
# manually added dependencies
BuildRequires:	freeglut-devel
BuildRequires:	smpeg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	openal-devel
BuildRequires:	freealut-devel

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: ftgl-devel
BuildRequires: glibc-devel
BuildRequires: libglpng-devel
BuildRequires: libstdc++-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: SDL-devel
BuildRequires: SDL_mixer-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

%description
Chromium B.S.U. - an arcade game


%prep
%setup -q -n chromium-bsu-%{version}

%build
./configure --prefix=%_prefix --bindir=%_bindir
make -j1

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
#mv $RPM_BUILD_ROOT/usr/games/chromium $RPM_BUILD_ROOT/usr/bin/
#rm -rf $RPM_BUILD_ROOT/usr/games

cat > %{buildroot}%{_datadir}/applications/chromium.desktop << "EOF"
[Desktop Entry]
Type=Application
Version=0.9
Encoding=UTF-8
Name=Chromium B.S.U
GenericName=Arcade Game
Comment=Arcade Game
Icon=/usr/share/pixmaps/chromium.png
Exec=chromium-bsu
Terminal=false
StartupNotify=false
Categories=Application;Game;ArcadeGame;
EOF
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/chromium-bsu
%_datadir/applications/*.desktop
%_datadir/pixmaps/*.png
%_datadir/chromium-bsu/
%_datadir/doc/
%_datadir/locale/
%_mandir/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 31 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.14-1
- Version update
* Sun Oct 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.13.3-1
- Version update
* Tue Jul 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.13.2-1
- Version update
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.13.1-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.12-4
- rebuild, group correction to Games/Arcade,
- added freealut-devel to BuildRequires
* Wed Oct 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.12-3
- rebuilt against freealut 1.1.0
* Sun Jan 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.12-2
- Redefined files list
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.9.12-1
- Initial Release
